/**
 * @author sergio lisan
 *
 *  The MIT License (MIT)
 *
 *  Copyright (c) 2016 Venosyd Opensource Initiative (Opensyd)
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy of
 *  this software and associated documentation files (the "Software"), to deal in
 *  the Software without restriction, including without limitation the rights to
 *  use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 *  the Software, and to permit persons to whom the Software is furnished to do so,
 *  subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in all
 *  copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 *  FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 *  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 *  IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 *  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 */
import 'package:verbal_expressions/verbal_expressions.dart';

/// valores minimos precisa ser de 1 a 1000 reais
bool validateNumFrom1to1000(String value) {
  var regex = new VerbalExpression()
    ..add(r'[a-zA-Z!@#$%"&,.*=_+\[\]{}<>|\\/\^]+');

  bool regexPassed = !regex.hasMatch(value);
  if (regexPassed) {
    value = value.length >= 4 ? value.substring(0, 4) : value;
    int intValue = int.parse(value);
    return intValue > 0 && intValue <= 1000;
  }

  return false;
}