/**
 * @author sergio lisan
 *
 *  The MIT License (MIT)
 *
 *  Copyright (c) 2016 Venosyd Opensource Initiative (Opensyd)
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy of
 *  this software and associated documentation files (the "Software"), to deal in
 *  the Software without restriction, including without limitation the rights to
 *  use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 *  the Software, and to permit persons to whom the Software is furnished to do so,
 *  subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in all
 *  copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 *  FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 *  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 *  IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 *  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 */
import 'package:verbal_expressions/verbal_expressions.dart';

/// validate if something contains only text
bool validateText(String text) {
  var regex = new VerbalExpression()
    ..word();

  return regex.hasMatch(text) && !text.isEmpty;
}

/// validate if something contains only text with fucking limit
bool validateTextWithLimit(String text, int limit) {
  var regex = new VerbalExpression()
    ..word();

  return regex.hasMatch(text) && !text.isEmpty && text.length <= limit;
}

/// validate if something contains only text
bool validateName(String name) {
  var regex = new VerbalExpression()
    ..add(r'[0-9 !@#$%"&.*()-=_+\[\]{}<>|\\/\^]+');

  return !regex.hasMatch(name) && !name.isEmpty;
}

/// validate if something contains only text
bool validateNameWithSpace(String name) {
  var regex = new VerbalExpression()
    ..add(r'[0-9!@#$%"&.*()-=_+\[\]{}<>|\\/\^]+');

  return !regex.hasMatch(name) && !name.isEmpty;
}


/// funcao que valida email
bool validateEmail(String email) {
  var regex = new VerbalExpression()
    ..add(r'\b[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}\b');

  return regex.hasMatch(email);
}